Remove from group¶
DELETE/
Common API · Directory Management
Update a group to remove a user.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
groupId | path | string (uuid) | Yes | Group ID. |
userId | path | string (uuid) | Yes | User ID. |
Request samples¶
curl -X DELETE "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>/users/<userId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.delete(
"https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>/users/<userId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>/users/<userId>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>/users/<userId>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>/users/<userId>", {
method: "DELETE",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — User removed from group.¶
Response fields
removedbooleanErrors¶
| Status | Meaning |
|---|---|
404 | Can't find group. |
409 | You can't use this API to modify groups synced from Active Directory. |
500 | Internal server error. |
All error responses share the same shape — see the error response object.